using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class Configuration
    {
        private int ciID;
        private string csKeyName;
        private string csKeyValue;
        private string csRemovable;

        public Configuration() { }
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string KeyName
        {
            get { return csKeyName; }
            set { csKeyName = value; }
        }

        public string KeyValue
        {
            get { return csKeyValue; }
            set { csKeyValue = value; }
        }

        public string Removable
        {
            get { return csRemovable; }
            set { csRemovable = value; }
        }
    }

    public class ConfigurationList : BindingList<Configuration>
    {
        public ConfigurationList()
        { }
    }
}


